## Enumerations Enumerations — Common enumerations |

## Types and Values

enum | TrackerDirectoryFlags
enum | TrackerFilterType
enum | TrackerFilterPolicy
enum | TrackerNetworkType

## Includes

    #include <libtracker-miner/tracker-miner-enums.h>

## Description

Common enumeration types used in libtracker-miner.

## Functions

## Types and Values

### enum TrackerDirectoryFlags

Flags used when adding a new directory to be indexed in the TrackerIndexingTree, TrackerDataProvider and TrackerEnumerator.

#### Members

TRACKER_DIRECTORY_FLAG_NONE | No flags. |
TRACKER_DIRECTORY_FLAG_RECURSE | Should recurse in the directory. |
TRACKER_DIRECTORY_FLAG_CHECK_MTIME | Should check mtimes of items in the directory. |
TRACKER_DIRECTORY_FLAG_MONITOR | Should setup monitors in the items found in the directory. |
TRACKER_DIRECTORY_FLAG_IGNORE | Should ignore the directory contents. |
TRACKER_DIRECTORY_FLAG_PRESERVE | Should preserve items in the directory even if the directory gets removed. |
TRACKER_DIRECTORY_FLAG_PRIORITY | Internally a priority queue is used and this flag makes sure the directory is given a priority over other directories queued. |
TRACKER_DIRECTORY_FLAG_NO_STAT | For cases where the content being crawled by the TrackerEnumerator is not local (e.g. it's on a server somewhere), use the TRACKER_DIRECTORY_FLAG_NO_STAT flag. The default is to use `stat()` and assume we're mining a local or mounted file system. |

### enum TrackerFilterType

Flags used when adding a new filter in the TrackerIndexingTree.

#### Members

TRACKER_FILTER_FILE | All files matching this filter will be filtered out. |
TRACKER_FILTER_DIRECTORY | All directories matching this filter will be filtered out. |
TRACKER_FILTER_PARENT_DIRECTORY | All files in directories matching this filter will be filtered out. |

### enum TrackerFilterPolicy

Flags used when defining default filter policy in the TrackerIndexingTree.

#### Members

TRACKER_FILTER_POLICY_DENY | Items matching the filter will be skipped. |
TRACKER_FILTER_POLICY_ACCEPT | Items matching the filter will be accepted. |

### enum TrackerNetworkType

Enumerates the different types of connections that the device might use when connected to internet. Note that not all providers might provide this information.

#### Members

TRACKER_NETWORK_TYPE_NONE | Network is disconnected |
TRACKER_NETWORK_TYPE_UNKNOWN | Network status is unknown |
TRACKER_NETWORK_TYPE_GPRS | Network is connected over a GPRS connection |
TRACKER_NETWORK_TYPE_EDGE | Network is connected over an EDGE connection |
TRACKER_NETWORK_TYPE_3G | Network is connected over a 3G or faster (HSDPA, UMTS, ...) connection |
TRACKER_NETWORK_TYPE_LAN | Network is connected over a local network connection. This can be ethernet, wifi, etc. |

Since: 0.18